Emitted when an element becomes detached. This typically happens when the element is removed from its parent.

### Hierarchy

- ElementDetachedEvent

### Implements

- IConvergenceEvent

## Index

### Properties

- name
- src
- NAME

## Properties

### name

name: string = ElementDetachedEvent.NAME

Implementation of IConvergenceEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### src

src: ObservableElement<any>

### StaticNAME

NAME: "detached" = "detached"